package com.simuwang.base.common.enums;

import java.util.stream.Stream;

/**
 * FileName: NavReviewStatus
 * Author:   chenjianhua
 * Date:     2024/12/3 14:33
 * Description: ${DESCRIPTION}
 */
public enum NavReviewStatus {
    //单位分红/拆分比例
    PASS(1, "审核通过"), REFUSE(2, "审核不通过");

    private final Integer code;
    private final String info;

    NavReviewStatus(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public static NavReviewStatus getNavReviewStatusyCode(Integer code) {
        if (null == code){
            return null;
        }
        for(NavReviewStatus s : NavReviewStatus.values()){
            if(code.equals(s.getCode())){
                return s;
            }
        }
        return null;
    }

    public static NavReviewStatus getNavReviewStatusByInfo(String info) {
        return Stream.of(NavReviewStatus.values()).filter(e -> e.info.equals(info)).findFirst().orElse(null);
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
