package com.simuwang.base.mapper.daq;

import com.simuwang.base.pojo.dos.NavDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface NavMapper {

    void batchInsert(@Param("itemDoList") List<NavDO> navDOList);

    void batchUpdate(@Param("itemDoList") List<NavDO> navDOList);

    List<String> queryFundNavByDate(@Param("fundId") String fundId, @Param("priceDateList") List<String> priceDateList);

    NavDO queryFundNav(NavDO navDO);

    void saveNav( NavDO navDO);

    void updateNav(NavDO navDO);

    void deleteNav(@Param("fundId")String fundId, @Param("priceDate")String priceDate,@Param("updaterId")Integer userId);

    List<String> getAllFundId();

    List<NavDO> selectNavByFundId(@Param("fundId")String fundId);

    void batchDeleteNav(@Param("fundId")String sourceFundId, @Param("priceDateList")List<String> priceDateList);

    Long countNavTotal();

    NavDO queryNavByFundIdDate(@Param("fundId")String fundId, @Param("priceDate")String priceDate);

    long countNavByTime(@Param("startDate")String startDate, @Param("endDate")String endDate);

    List<NavDO> selectNavListByTime(@Param("startDate")String startDate, @Param("endDate")String endDate);

    Map<String, Long> selectMaxMinId(@Param("startDate")String startDate, @Param("endDate")String endDate);

    List<NavDO> selectNavListById(@Param("minId") Long minId,@Param("maxId") Long maxId, @Param("startDate")String startDate, @Param("endDate")String endDate);

    NavDO queryLastNavByFundIdDate(@Param("fundId")String fundId, @Param("priceDate")String priceDate);
}
