package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.simuwang.base.common.util.DateUtils;
import com.simuwang.base.pojo.vo.EmailFundNavCollectionVO;
import lombok.Data;

import java.util.Date;

@Data
public class EmailFundNavCollectionDO {
    /**
     * 主键ID
     */
    private Integer id;
    /**
     * 邮件ID
     */
    private Integer emailId;
    /**
     * 附件ID
     */
    private Integer fileId;
    /**
     * 收件邮箱地址
     */
    private String email;
    /**
     * 发件邮箱地址
     */
    private String senderEmail;

    /**
     * 发件邮箱地址
     */
    private Date emailDate;

    /**
     * 邮件解析的基金名称
     */
    private String fundName;
    /**
     * 邮件解析的备案编码
     */
    private String registerNumber;
    /**
     * 净值日期
     */
    private String priceDate;
    /**
     * 单位净值
     */
    private String nav;
    /**
     * 累计单位净值
     */
    private String cumulativeNavWithdrawal;
    /**
     * 虚拟净值
     */
    private String virtualNav;
    /**
     * 资产份额
     */
    private String assetShare;
    /**
     * 资产净值(基金规模)
     */
    private String assetNet;
    /**
     * 模板id(0-通用模板)
     */
    private Integer templateId;
    /**
     * 解析状态:1-成功,2-净值缺失，3-未匹配基金，4-净值<=0,5-资产净值<=0
     * 6-当期（单位净值）与上期（单位净值）振幅大于等于20%
     * 7-当期（单位净值）与上期（单位净值）振幅大于等于100%拦截
     * 8-净值日期不能大于当前日期
     * 9-净值日期不能早于成立日期
     * 10-净值日期不能晚于清算日期
     * 11-净值日期不能是周末（成立日除外）
     * 12-净值日期为空
     * 13-净值日期错误
     * 14-净值规模数据格式有误
     * 15-基金名称和备案编码均缺失
     * 16-单位净值和累计净值和资产净值均缺失
     */
    private Integer exceptionStatus;
    /**
     * 解析时间
     */
    private Date parseDate;
    /**
     * 记录的有效性；1-有效；0-无效
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    @TableField(value = "updatetime")
    private Date updateTime;

    public EmailFundNavCollectionVO toVO() {
        EmailFundNavCollectionVO vo = new EmailFundNavCollectionVO();
        vo.setFileId(fileId);
        vo.setEmailId(emailId);
        vo.setId(id);
        vo.setFundName(getFundName());
        vo.setAssetNet(getAssetNet());
        vo.setAssetShare(getAssetShare());
        vo.setRegisterNumber(getRegisterNumber());
        vo.setPriceDate(getPriceDate());
        vo.setNav(getCumulativeNavWithdrawal());
        vo.setExceptionStatus(getExceptionStatus());
        vo.setVirtualNav(getVirtualNav());
        vo.setCumulativeNavWithdrawal(getCumulativeNavWithdrawal());
        vo.setParseDate(DateUtils.format(parseDate,DateUtils.YYYY_MM_DD_HH_MM_SS));
        return vo;
    }
}
