package com.simuwang.base.pojo.dos.core;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * FileName: CoreDistributionDO
 * Author:   chenjianhua
 * Date:     2024/10/25 16:54
 * Description: ${DESCRIPTION}
 */
@Data
public class CoreDistributionDO {
    /**
     * ID
     */
    private Integer id;
    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 分红日期
     */
    private Date distributeDate;
    /**
     * 基金分配类型标志：-1-其他，1-分红，2-拆分,3-业绩报酬,4-注资,5-撤资
     */
    private Integer distributeType;
    /**
     * 现金分红发放日
     */
    private Date executeDate;
    /**
     * 分红方式：1-现金分红 2-分红再投 3-同时支持（现金分红和分红再投）
     */
    private Integer distributeMethod;
    /**
     * 红利再投资日
     */
    private Date reinvestDate;
    /**
     * 除息日
     */
    private Date exDistributeDate;
    /**
     * 收益分配基准日
     */
    private Date profitDistributeDate;
    /**
     * 权益登记日
     */
    private Date registrationDate;
    /**
     * 分红/拆分比例
     */
    private BigDecimal distribution;
    /**
     * 数据来源：1-公告 2-计算
     */
    private BigDecimal sourceType;
    /**
     * 来源ID
     */
    private Integer sourceId;
    /**
     * 来源表名
     */
    private String sourceTable;
    /**
     * 有效标识
     */
    private Integer isvalid;
    /**
     * 创建者Id
     */
    private Integer creatorId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改者Id
     */
    private Integer updaterId;
    /**
     * 更新时间
     */
    private Date updateTime;
}
