package com.simuwang.base.pojo.dos.core;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * FileName: SrcNavDO
 * Author:   chenjianhua
 * Date:     2024/10/25 11:27
 * Description: ${DESCRIPTION}
 */
@Data
@TableName("src_nav")
public class SrcNavDO {
    /**
     * ID
     */
    @TableField(value = "id")
    private Integer id;
    /**
     * 基金ID
     */
    @TableField(value = "fund_id")
    private String fundId;
    /**
     * 基金净值日期
     */
    @TableField(value = "price_date")
    private Date priceDate;
    /**
     * 单位净值
     */
    @TableField(value = "nav")
    private BigDecimal nav;
    /**
     * 累计净值
     */
    @TableField(value = "cumulative_nav_crawl")
    private BigDecimal cumulativeNavCrawl;
    /**
     * 备注
     */
    @TableField(value = "nav_mark")
    private String navMark;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "source_id")
    private Integer sourceId;
    /**
     * 是否可见
     */
    @TableField(value = "isvisible")
    private Integer isvisible;
    /**
     * 目标应用
     */
    @TableField(value = "app_type")
    private Integer appType;
    /**
     * 净值来源：1-托管 2-私募报送 3-托管用印(私募转送)
     */
    @TableField(value = "nav_source")
    private Integer navSource;

    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 更新时间
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}
