package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.util.Date;

@Data
public class EmailFundNavCollectionVO {
    /**
     * 主键ID
     */
    private Integer id;
    /**
     * 邮件ID
     */
    private Integer emailId;
    /**
     * 附件ID
     */
    private Integer fileId;

    /**
     * 邮件解析的基金名称
     */
    private String fundName;
    /**
     * 邮件解析的备案编码
     */
    private String registerNumber;
    /**
     * 净值日期
     */
    private String priceDate;
    /**
     * 单位净值
     */
    private String nav;
    /**
     * 累计单位净值
     */
    private String cumulativeNavWithdrawal;
    /**
     * 虚拟净值
     */
    private String virtualNav;
    /**
     * 资产份额
     */
    private String assetShare;
    /**
     * 资产净值(基金规模)
     */
    private String assetNet;
    /**
     * 模板id(0-通用模板)
     */
    private Integer templateId;
    /**
     * 解析状态:1-成功,2-净值缺失，3-未匹配基金，4-净值<=0,5-资产净值<=0
     * 6-当期（单位净值）与上期（单位净值）振幅大于等于20%
     * 7-当期（单位净值）与上期（单位净值）振幅大于等于100%拦截
     * 8-净值日期不能大于当前日期
     * 9-净值日期不能早于成立日期
     * 10-净值日期不能晚于清算日期
     * 11-净值日期不能是周末（成立日除外）
     * 12-净值日期为空
     * 13-净值日期错误
     * 14-净值规模数据格式有误
     * 15-基金名称和备案编码均缺失
     * 16-单位净值和累计净值和资产净值均缺失
     */
    private Integer exceptionStatus;
    /**
     * 解析时间
     */
    private String parseDate;

}
