package com.simuwang.manage.api.email;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.ParseDetailPageQuery;
import com.simuwang.base.pojo.vo.EmailFundNavVO;
import com.simuwang.base.pojo.vo.NavReviewVO;
import com.simuwang.logging.SystemLog;
import com.simuwang.manage.service.ParseEmailDetailService;
import com.smppw.common.pojo.ResultVo;
import com.smppw.common.pojo.enums.status.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 *  数据详情
 * Author:   chenjianhua
 * Date:     2024/9/10 11:21
 * Description: ${DESCRIPTION}
 */
@SystemLog(value = "数据详情")
@RestController
@RequestMapping("/v1/nav")
public class EmailNavDetailController{

    @Autowired
    private ParseEmailDetailService parseEmailDetailService;
    /**
     * 净值解析数据详情页面展示查询接口
     * @param parseDetailPageQuery
     * @return
     */
    @SystemLog(value = "净值解析数据详情页面展示查询")
    @GetMapping("/search-nav-detail")
    public MybatisPage<EmailFundNavVO> searchNavDetail(ParseDetailPageQuery parseDetailPageQuery){
        MybatisPage<EmailFundNavVO> result = parseEmailDetailService.searchNavDetail(parseDetailPageQuery);
        return result;
    }

    /**
     * 净值振幅审核
     * @param navReviewVO
     * @return
     */
    @SystemLog(value = "净值振幅审核")
    @PostMapping("/review-email-nav")
    public ResultVo reviewEmailNav(@RequestBody NavReviewVO navReviewVO){
        ResultVo vo = parseEmailDetailService.reviewEmailNav(navReviewVO);
        return vo;
    }


}
